
Foreman - Bug #11444

Domains page shows negative number of hosts

08/21/2015 08:53 AM - Simon Wydooghe

Status: Closed   

Priority: Low   

Assignee: Tomer Brisker   

Category: Database   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2840

  

Description

I only have one domain. In the Domains page, this one domain shows '-53' hosts. The Environments page shows my two

environments with 9 and 167 hosts, which sounds about right. All my hosts are assigned to this one domain.

This was the case in 1.8.2, and it remains like this after upgrading to 1.9.0 this morning.

Related issues:

Related to Foreman - Bug #5692: Puppet environment counters not updated Closed 05/13/2014

Related to Foreman - Bug #12193: Deadlock occuring when creating host Closed 10/16/2015

Related to Foreman - Bug #12455: Deprecation warning when writing total_hosts... Rejected 11/12/2015

Related to Foreman - Bug #11044: rake fix_cached_counters fails "undefined me... Duplicate 07/07/2015

Has duplicate Foreman - Bug #13944: foreman-rake fix_cached_counters fails. Duplicate 02/29/2016

Associated revisions

Revision a152a1b2 - 11/09/2015 09:33 AM - Tomer Brisker

Fixes #11444 - Correctly count hosts in domain

Only hosts that have a primary nic assigned to a domain should be

counted in the domain host count. Previous implementation was flawed in

that it only updated the counter in certain occasions and not all,

leading sometimes to incorrect host counts.

I have implemented the counter updates in `after_commit` to reduce

chance of deadlocks.

History

#1 - 08/21/2015 08:57 AM - Dominic Cleal

- Related to Bug #5692: Puppet environment counters not updated added

#2 - 08/21/2015 08:58 AM - Dominic Cleal

- Status changed from New to Feedback

Please try running foreman-rake fix_cached_counters to recount everything.  If it gets out of sync again, please re-open the bug as perhaps one of

our fixes for it (in #5692 and related) didn't work.  Thanks!

#3 - 08/21/2015 11:39 AM - Simon Wydooghe

That worked! I'll re-open if it happens again. Thanks, Dominic. Enjoy your weekend!

#4 - 10/19/2015 01:53 PM - The Foreman Bot

- Status changed from Feedback to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2840 added

- Pull request deleted ()
#5 - 10/19/2015 01:54 PM - Tomer Brisker

- Category set to Database

- Assignee set to Tomer Brisker

#6 - 10/19/2015 01:54 PM - Tomer Brisker

- Related to Bug #12193: Deadlock occuring when creating host added

#7 - 11/09/2015 09:33 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#8 - 11/09/2015 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a152a1b207cad3ae86e6c6384b1179b19c40578f.

#9 - 11/12/2015 08:05 AM - Dominic Cleal

- Related to Bug #12455: Deprecation warning when writing total_hosts attribute added

#10 - 11/13/2015 07:11 PM - Brandon Weeks

- Related to Bug #11044: rake fix_cached_counters fails "undefined method `counter_cache_column' for nil:NilClass" added

#11 - 02/29/2016 07:03 AM - Dominic Cleal

- Has duplicate Bug #13944: foreman-rake fix_cached_counters fails. added
